#!/bin/sh

echo
echo "OCSP patches to OpenSSL ( Stand Alone Version )"
echo "by Massimiliano Pala (madwolf@openca.org)"
echo ""

if [ "$1" = "" ] ; then
	echo -n "Enter destination dir : "
	read tmp
fi

echo -n "Copying ocsp to $tmp directory (y/n) ? "
read contOP

if [ "$contOP" = "n" -o "$contOP" = "N" ] ; then
	echo "Aborted."
	echo ""
	echo "Usage: $0 "
	echo ""
	exit
elif [ "$contOP" = "y" -o "$contOP" = "Y" ] ; then
	if [ -d "$tmp" ] ; then
		echo -n "Copying files and directories ... "

		if ! [ -e src/ocsp ] ; then
			echo "Error."
			echo ""
			echo "Please compile ocsp before installing it by: "
			echo ""
			echo "    # cd src/"
			echo "    # make"
			echo ""
			echo "If all goes well, just cd to the main dir and"
			echo "do a make install again. Use carefully."
			echo ""
			echo "	-- Massimiliano Pala (madwolf@openca.org)"
			echo ""

			exit 0
		fi

		cp src/ocsp $tmp/ 2>&1 >/dev/null
		echo "Done."
	else
		echo "Target ($tmp) does not exists, exit."
		echo
		exit 1
	fi

else
	echo "Please use (y/n). Exit."
	exit 1
fi

exit 0;


